Nick Lewis: Drupal is Part of the PHP Problem

Until this post by Nick Lewis, I've been in the camp with the folks that say PHP-based content management systems such as Drupal should be compatible with both PHP 4 and PHP 5.   After reading his post, I'm convinced he's correct that new development should be geared toward PHP 5.  It's hard to fight for the future when you continue to hold on to the past...

Should Drupal move to PHP 5?

In one word: absolutely.

In one sentence: if we don't, the drupal project will die along with PHP.

My friends, PHP is dying. Every day, the best programmers are moving to, faster, better constructed, more powerful languages such as python and ruby. The developers of PHP have been aware of this for some time. That's why they released PHP 5*.

Complete Story